## redmine 6.0.4+ds

=== debian/changelog ===
redmine (6.0.4+ds-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * New upstream release.
  * Remove debian/source/lintian-overrides:  These overrides are obsolete.
  * Remove obsolete Apache configuration files, which no longer work without
    FCGI (Apache Passenger configuration files are still shipped):
    - debian/doc/examples/apache2-alias.conf
    - debian/doc/examples/apache2-host.conf
  * Update the names of the following files:
    - install -> redmine.install
    - postinst -> redmine.postinst
    - postrm -> redmine.postrm
    - prerm -> redmine.prerm
  * debian/doc/examples/apache2-passenger-alias.conf:
    - Update alias and directory from plugin-assets to assets.
    - Reformat for readability.
  * debian/doc/examples/apache2-passenger-host.conf:
    - Update alias and directory from plugin-assets to assets.
    - Reformat for readability.
  * debian/control:
    - Add build-depends on "ruby-listen <!nocheck>".
    - Add depends on puma, ruby-capybara, ruby-listen, ruby-mocha,
      ruby-rails-dom-testing, ruby-selenium-webdriver, and ruby-simplecov to the
      redmine binary package (Closes: #1099904).
    - Remove obsolete suggests on ruby-fcgi for the redmine binary package.
    - Bump standards-version to 4.7.2, no changes needed.
  * debian/copyright:  Remove obsolete information for:
    - public/javascripts/jstoolbar/*
    - public/javascripts/jstoolbar/lang/jstoolbar-et.js
  * debian/NEWS:  Update config file change news entry.
  * debian/patches/gemfile-deps-adjustment.patch:
    - Enable listen gem, which is now required, possibly by one of the newly
      enabled test gems.
    - Update gems for new upstream release.
  * debian/README.Debian:
    - Update for Redmine 6.x, specifically addressing the way plugins are now
      handled (Closes: #807169).
    - Add information about restricting access before changing the default
      password (Closes: #964759).
  * debian/tests/control:
    - Add "Restrictions: isolation-container" to tests that need to start
      services or open ports.
    - Disable debian/tests/smoke-test-lighttpd because there are no working
      lighttpd example config files.
    - Disable debian/tests/smoke-test-thin because it is trying to write to
      /etc/thin3.1/, which doesn't exist.
    - Disable plugin tests because they no longer work with Redmine 6.x.
    - Remove unnecessary FCGI and plugin depends from the nginx test.
    - Reorder and comment tests for readability.
  * debian/tests/plugin-assets:  Update plugin_assets to assets.
  * debian/tests/smoke-test-apache:  Enable the Apache passenger module.
  * debian/tests/smoke-test-nginx:  Disable FCGI commands.

  [ Valentin Kleibel ]
  * Add debian/doc/examples/redmine-puma-default.service, required for testing
    with nginx.
  * Update the following example configs to work with Redmine 6.x, including
    refactoring out the FCGI references:
    - debian/doc/examples/nginx-alias.conf
    - debian/doc/examples/nginx-host.conf
  * debian/patches/0004-Add-multi-tenancy-support.patch:  Update for 6.x changes
    (Closes: #1099906), merging in stop-unnecessary-recursive-chowning.patch.
  * debian/tests/smoke-test-nginx:  Update to work with Redmine 6.x.

 -- Soren Stoutner <soren@debian.org>  Thu, 27 Mar 2025 16:10:09 -0700

redmine (6.0.3+ds-2) unstable; urgency=medium

  * Re-upload to unstable. (Closes: #1095148)
  * Add dependency on propshaft.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 07 Mar 2025 13:53:11 +0530

redmine (6.0.3+ds-1) experimental; urgency=medium

  * New upstream release.
  * Remove the following example configs as they depend on dispatch.fcgi, which
    has been removed upstream <https://www.redmine.org/issues/40092>.
    - debian/docs/examples/lighttpd-host.conf
    - debian/docs/examples/lighttpd-host-alias.conf
    - debian/docs/examples/lighttpd-socket.conf
    - debian/docs/examples/lighttpd-socket-alias.conf
    - debian/docs/examples/run-redmine-fcgi
  * Remove references to dispatch.fcgi from the following example configs, as
    support has been removed upstream.
    - debian/docs/apache2-alias.conf
    - debian/docs/apache2-host.conf
  * Remove debian/patches/broken-tests-skip.patch, these tests are now
    successful.
  * Remove debian/patches/relax-pg-version.patch, incorporated into
    debian/patches/gemfile-deps-adjustment.patch.
  * Remove debian/patches/relax-ruby-version-constraint.patch, applied upstream.
  * Remove debian/patches/rouge_4.5.patch, applied upstream.
  * Remove debian/patches/tests_missing_fixtures.patch, no longer needed.
  * Remove debian/patches/test-timezone.patch, applied upstream.
  * debian/control:
    - Drop build-depends on ruby-request-store, no longer used upstream.
    - Remove unneeded build-depends on gsfonts.
    - Drop obsolete version restriction on gem2deb (>= 2.1~).
    - Drop binary package depends on ruby-mocha and ruby-rails-dom-testing,
      which are only used for testing.
    - Enable build-depends on "ghostscript <!nocheck>", as the problematic
      version (< 9.24) is no longer in Debian.
    - Add build-depends on "ruby-rails-propshaft (>= 1.1.0~)".
    - Add <!nocheck> build-depends on puma, ruby-capybara,
      ruby-selenium-webdriver, and ruby-simplecov.
    - Bump dependency versions.
  * debian/copyright:
    - Update upstream copyright.
    - Add 2025 to copyright year for myself.
  * debian/NEWS:
    - Add entry explaining the removal of FastCGI support upstream.
    - Delete obsolete entries for versions <= 3.x.
  * debian/patches/0002-Force-table-encoding-in-mysql.patch:  Remove fuzz.
  * debian/patches/0004-Add-multi-tenancy-support.patch:  Remove fuzz.
  * debian/patches/autoload-thin-gem:  Refresh offsets.
  * debian/patches/gemfile-deps-adjustment.patch:  Update gem versions.
  * debian/patches/use_system_jquery_libs.patch:  Remove fuzz.
  * debian/rules:
    - Remove commands relating to FastCGI, which have been obsoleted upstream.

