=== debian/control ===
Source: redmine
Section: web
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
           Marc Dequènes (Duck) <Duck@DuckCorp.org>,
           Utkarsh Gupta <utkarsh@debian.org>,
           Soren Stoutner <soren@debian.org>
Build-Depends: dbconfig-common,
               debhelper-compat (= 13),
               gem2deb,
               ruby-actionpack-action-caching (>= 1.2.2~),
               ruby-actionpack-xml-parser,
               ruby-addressable,
               ruby-bundler,
               ruby-coderay (>= 1.0.6~),
               ruby-commonmarker (>= 0.23.1~),
               ruby-csv (>= 3.2.2~),
               ruby-task-list (>= 2.3.2~),
               ruby-html-pipeline (>= 2.14.3~),
               ruby-i18n (>= 1.14.1~),
               ruby-jquery-rails (>= 4.0.5~),
               ruby-mail (>= 2.8.1~),
               ruby-marcel (>= 1.0.1+dfsg-2~),
               ruby-mini-magick (>= 5.2.0~),
               ruby-mini-mime (>= 1.1.0~),
               ruby-net-ldap (>= 0.19.0~),
               ruby-nokogiri (>= 1.18.2~),
               ruby-rack (>= 3.1.3~),
               ruby-rails (>= 2:7.2~),
               ruby-rails-observers,
               ruby-rails-propshaft (>= 1.1.0~),
               ruby-rbpdf (>= 1.21.3~),
               ruby-redcarpet (>= 3.6.0~),
               ruby-rmagick (>= 2.14.0~),
               ruby-roadie (>= 3.2.2~),
               ruby-roadie-rails (>= 3.3.0~),
               ruby-rotp,
               ruby-rouge (>= 4.5~),
               ruby-rqrcode,
               ruby-sanitize (>= 6.0~),
               ruby-zip (>= 2.3.0~),
               ghostscript <!nocheck>,
               puma <!nocheck>,
               ruby-capybara (>= 3.39) <!nocheck>,
               ruby-listen (>= 3.3~) <!nocheck>,
               ruby-mocha (>= 2.0.1) <!nocheck>,
               ruby-rails-dom-testing <!nocheck>,
               ruby-selenium-webdriver (>= 4.4.0) <!nocheck>,
               ruby-simplecov (>= 0.22.0~) <!nocheck>,
               ruby-sqlite3 <!nocheck>
Build-Depends-Indep: po-debconf
Vcs-Browser: https://salsa.debian.org/ruby-team/redmine
Vcs-Git: https://salsa.debian.org/ruby-team/redmine.git
Homepage: https://www.redmine.org
Rules-Requires-Root: no
Standards-Version: 4.7.2

Package: redmine
Architecture: all
Pre-Depends: debconf
# cannot use ruby:Depends because there is no gemspec.
# Most of the <!nocheck> build-depends need to be listed as depends.
Depends: dbconfig-common,
         libjs-chart.js,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-raphael,
         redmine-sqlite | redmine-mysql | redmine-pgsql,
         puma,
         ruby:any,
         ruby-actionpack-action-caching (>= 1.2.2~),
         ruby-actionpack-xml-parser,
         ruby-addressable,
         ruby-bundler,
         ruby-capybara (>= 3.39),
         ruby-coderay (>= 1.0.6~),
         ruby-commonmarker (>= 0.23.1~),
         ruby-csv (>= 3.2.2~),
         ruby-task-list (>= 2.3.2~),
         ruby-html-pipeline (>= 2.14.3~),
         ruby-i18n (>= 1.14.1~),
         ruby-jquery-rails (>= 4.0.5~),
         ruby-listen (>= 3.3~),
         ruby-mail (>= 2.8.1~),
         ruby-marcel,
         ruby-mini-magick (>= 5.2.0~),
         ruby-mini-mime (>= 1.1.0~),
         ruby-mocha (>= 2.0.1~),
         ruby-net-ldap (>= 0.19.0~),
         ruby-nokogiri (>= 1.18.2~),
         ruby-rack (>= 3.1.3~),
# This is probably not needed in the binary package.  It used to be used during testing, but was removed from the upstream list.
#         ruby-rack-test (>= 0.7.0~),
         ruby-rails (>= 2:7.2~),
         ruby-rails-dom-testing (>= 1.0.6-2~),
         ruby-rails-observers,
         ruby-rails-propshaft (>= 1.1.0~),
         ruby-rbpdf (>= 1.21.3~),
         ruby-redcarpet (>= 3.6.0~),
         ruby-rmagick (>= 2.14.0~),
         ruby-roadie (>= 3.2.2~),
         ruby-roadie-rails (>= 3.3.0~),
         ruby-rotp,
         ruby-rouge (>= 4.2.0~),
         ruby-rqrcode,
         ruby-sanitize (>= 6.0~),
         ruby-selenium-webdriver (>= 4.4.0),
         ruby-simplecov (>= 0.22.0~),
         ruby-zip (>= 2.3.0~),
         ${misc:Depends}
Recommends: passenger
Suggests: apache2,
          bzr,
          cvs,
          darcs,
          git,
          libapache2-mod-passenger,
          mercurial,
          subversion
Description: flexible project management web application
 Redmine is a flexible project management web application. Written using Ruby
 on Rails framework, it is cross-platform and cross-database.
 .
 Dependencies for database support are provided by these metapackages:
 redmine-mysql, redmine-pgsql, redmine-sqlite.
 .
 Features
   * Multiple projects support
   * Flexible role based access control
   * Flexible issue tracking system
   * Gantt chart and calendar
   * News, documents & files management
   * Feeds & email notifications
   * Per project wiki
   * Per project forums
   * Time tracking
   * Custom fields for issues, time-entries, projects and users
   * SCM integration (SVN, CVS, Git, Mercurial, Bazaar and Darcs)
   * Issue creation via email
   * Multiple LDAP authentication support
   * User self-registration support
   * Multilanguage support

Package: redmine-mysql
Architecture: all
Depends: dbconfig-mysql | dbconfig-no-thanks,
         default-mysql-client | virtual-mysql-client,
         ruby-mysql2 (>= 0.5.0~),
         ruby-with-advisory-lock,
         ${misc:Depends}
Recommends: redmine (= ${source:Version})
Suggests: default-mysql-server | virtual-mysql-server
Description: metapackage providing MySQL dependencies for Redmine
 This package only provides MySQL dependencies for Redmine, a
 flexible project management web application. Install this
 one if you want to use a MySQL database with Redmine.
 .
 Redmine package should be installed along with this package.

Package: redmine-pgsql
Architecture: all
Depends: dbconfig-pgsql | dbconfig-no-thanks,
         postgresql-client,
         ruby-pg (>= 1.5~),
         ${misc:Depends}
Recommends: redmine (= ${source:Version})
Suggests: postgresql
Description: metapackage providing PostgreSQL dependencies for Redmine
 This package provides PostgreSQL dependencies for Redmine, a
 flexible project management web application. Install this
 one if you want to use a PostgreSQL database with Redmine.
 .
 Redmine package should be installed along with this package.

Package: redmine-sqlite
Architecture: all
Depends: dbconfig-sqlite3 | dbconfig-no-thanks,
         ruby-sqlite3 (>= 1.7.3~),
         sqlite3,
         ${misc:Depends}
Recommends: redmine (= ${source:Version})
Description: metapackage providing sqlite dependencies for Redmine
 This package provides sqlite dependencies for Redmine, a
 flexible project management web application. Install this
 one if you want to use a sqlite database with Redmine.
 .
 Redmine package should be installed along with this package.
