## redmine 6.0.5+ds

=== debian/changelog ===
redmine (6.0.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/run-some-tests-in-English.patch, applied upstream.
  * Add debian/po/ca.po (thanks to poc senderi <pocsenderi@protonmail.com>).

 -- Soren Stoutner <soren@debian.org>  Tue, 29 Apr 2025 19:43:16 -0700

redmine (6.0.4+ds-3) unstable; urgency=medium

  * debian/redmine.triggers:
    - Add /usr/lib/ruby/vendor_ruby.
    - Add individual architechture-specific directories for ruby-nokogiri
      instead of /usr/lib/*/rubygems-integration (really closes: #1015751).

 -- Soren Stoutner <soren@debian.org>  Fri, 18 Apr 2025 16:33:38 -0700

redmine (6.0.4+ds-2) unstable; urgency=medium

  * Add debian/patches/run-some-tests-in-English.patch to fix intermittent build
    failures.
  * debian/doc/examples/apache2-passenger-alias.conf:
    - Remove broken /redmine/assets/ information.
    - Group sections to make improve readability.
    - Add example custom aliases commands.
  * debian/doc/examples/apache2-passenger-host.conf:
    - Remove broken /assets/ information.
    - Group sections to make improve readability.
  * debian/control:  Update nokogiri depends version constraints to match
    current patch value in Gemfile.
  * debian/README.Debian:
    - Add information about running under an alias and clearing the cache,
      thanks to Jörg-Volker Peetz <jvpeetz@web.de> (Closes: #1101504).
  * debian/redmine.triggers:  Add /usr/lib/*/rubygems-integration
    (Closes: #1015751).
  * debian/rules:  Disable "export DH_RUBY_IGNORE_TESTS=all", which didn't
    appear to function anyway as the tests were running at build time.

 -- Soren Stoutner <soren@debian.org>  Thu, 17 Apr 2025 13:52:19 -0700
