=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                ruby-mini-magick (>= 5.2.0~),
                ruby-mini-mime (>= 1.1.0~),
                ruby-net-ldap (>= 0.19.0~),
-               ruby-nokogiri (>= 1.18.2~),
+               ruby-nokogiri (>= 1.18~),
                ruby-rack (>= 3.1.3~),
                ruby-rails (>= 2:7.2~),
                ruby-rails-observers,
@@ -89,7 +89,7 @@
          ruby-mini-mime (>= 1.1.0~),
          ruby-mocha (>= 2.0.1~),
          ruby-net-ldap (>= 0.19.0~),
-         ruby-nokogiri (>= 1.18.2~),
+         ruby-nokogiri (>= 1.18~),
          ruby-rack (>= 3.1.3~),
 # This is probably not needed in the binary package.  It used to be used during testing, but was removed from the upstream list.
 #         ruby-rack-test (>= 0.7.0~),
