=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto \
    https://github.com/redmine/redmine/tags .*/(.*)\.tar\.gz
