## redmine 6.0.6%2Bds

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# WARNING: do NOT reorder the redmine dependencies or certain tesst will fail.
+# WARNING: do NOT reorder the redmine dependencies or certain tests will fail.
 #          autopkgtest seems to revolve dpendency in order, which leads to
 #          redmine-sqlite to be installed when trying to test another database.
 
@@ -13,6 +13,7 @@
          redmine-sqlite,
          redmine
 Restrictions: needs-root isolation-container
+Features: test-name=apache-sqlite-passenger-host
 
 # Apache host PostgreSQL.
 Test-Command: debian/tests/smoke-test-apache postgresql apache2-passenger-host /
@@ -23,6 +24,7 @@
          redmine-pgsql,
          redmine
 Restrictions: needs-root isolation-container
+Features: test-name=apache-postgresql-passenger-host
 
 # Apache host MySQL.
 Test-Command: debian/tests/smoke-test-apache mysql2 apache2-passenger-host /
@@ -33,6 +35,7 @@
          redmine-mysql,
          redmine
 Restrictions: needs-root isolation-container
+Features: test-name=apache-mysql-passenger-host
 
 # Apache alias SQLite.
 Test-Command: debian/tests/smoke-test-apache sqlite3 apache2-passenger-alias /redmine
@@ -42,6 +45,7 @@
          redmine-sqlite,
          redmine
 Restrictions: needs-root isolation-container
+Features: test-name=apache-sqlite-passener-alias
 
 # Nginx host SQLite.
 Test-Command: debian/tests/smoke-test-nginx sqlite3 nginx-host
@@ -51,22 +55,12 @@
          redmine-sqlite,
          redmine,
 Restrictions: needs-root isolation-container
-
-#Mercurial.
-Test-Command: debian/tests/mercurial-helper
-Depends: mercurial,
-         redmine
+Features: test-name=nginx-sqlite-host
 
 # Install, break, purge.
 Tests: install-break-purge
 Depends: redmine
 Restrictions: needs-root
-
-# /bin/true.
-Test-Command: /bin/true
-Depends: dbconfig-no-thanks,
-         redmine-sqlite,
-         redmine
 
 # It is no longer possible in Redmine 6.x to test the plugins.
 # https://lists.debian.org/debian-ruby/2025/03/msg00046.html
@@ -93,5 +87,3 @@
 #Test-Command: debian/tests/smoke-test-lighttpd sqlite3 lighttpd-host-alias /redmine
 #Depends: curl,
 #         lighttpd,
-#         redmine-sqlite,
-#         redmine,
