## redmine 6.0.6+ds

=== debian/changelog ===
redmine (6.0.6+ds-2) unstable; urgency=medium

  * Add debian/lrc.config.
  * debian/patches/gemfile-deps-adjustment.patch:  Allow mini-magic >= 5.3.0.
  * debian/changelog:
    - Update the upstream license from GPL-2 to GPL-2+.
    - Add missing entries, refactor, and consolidate for readability.
  * debian/control:
    - Bump the minimum version of ruby-mini-magic to 5.3.0.
    - Remove obsolete dependency on ruby-actionpack-action-caching.
  * debian/salsa-ci.yml:  Update to match the new default team settings.

 -- Soren Stoutner <soren@debian.org>  Mon, 25 Aug 2025 16:15:06 -0700

redmine (6.0.6+ds-1) unstable; urgency=medium

  * Add fix-sanitation-tests.patch to adjust for Debian having a newer version
    of ruby-sanitize (7.0.0) than upstream is expecting (6.0.0).
  * Remove mercurial-py3-fix, applied upstream.
  * Remove debian/tests/mercurial-helper, as it depends on `cgi`, which has been
    removed from Python.
  * Rename 0002-Force-table-encoding-in-mysql.patch to
    force-table-encoding-in-mysql.patch.
  * Rename 0003-Use-production-environment-by-default.patch to
    use-production-environment-by-default.patch and refresh offset.
  * Rename 0004-Add-multi-tenancy-support.patch to
    add-multi-tenancy-support.patch.
  * Rename 0005-Assume-default-instance.patch to assume-default-instance.patch.
  * Rename autoload-thin-gem to autoload-thin-gem.patch and mark it as
    "Forwarded: not-needed".
  * Rename use_system_jquery_libs.patch to use-system-jquery-libs.patch and
    refresh failed hunk.
  * debian/control:
    - Set version constraints for ruby-rails-dom-testing to >= 2.3.0.
    - Move most Build-Depends to Build-Depends-Indep.
    - Remove commented ruby-rack-test depends.
    - Remove obsolete "Rules-Requires-Root: no".
  * debian/copyright:
    - Update Files-Excluded paths to match upstream changes.
    - Update Files-Excluded jquery ui file name to match upstream.
  * debian/patches/patch/gemfile-deps-adjustment.patch:  Refresh fuzz.
  * debian/README.Debian:  Improve plugin symlinking information.
  * debian/tests/control:
    - Remove superficial /bin/true test.
    - Add names to the tests.

 -- Soren Stoutner <soren@debian.org>  Sat, 16 Aug 2025 10:30:54 -0700
