=== debian/control ===
--- 
+++ 
@@ -7,54 +7,52 @@
            Marc Dequènes (Duck) <Duck@DuckCorp.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
            Soren Stoutner <soren@debian.org>
-Build-Depends: dbconfig-common,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dbconfig-common,
                gem2deb,
-               ruby-actionpack-action-caching (>= 1.2.2~),
-               ruby-actionpack-xml-parser,
-               ruby-addressable,
-               ruby-bundler,
-               ruby-coderay (>= 1.0.6~),
-               ruby-commonmarker (>= 0.23.1~),
-               ruby-csv (>= 3.2.2~),
-               ruby-task-list (>= 2.3.2~),
-               ruby-html-pipeline (>= 2.14.3~),
-               ruby-i18n (>= 1.14.1~),
-               ruby-jquery-rails (>= 4.0.5~),
-               ruby-mail (>= 2.8.1~),
-               ruby-marcel (>= 1.0.1+dfsg-2~),
-               ruby-mini-magick (>= 5.2.0~),
-               ruby-mini-mime (>= 1.1.0~),
-               ruby-net-ldap (>= 0.19.0~),
-               ruby-nokogiri (>= 1.18~),
-               ruby-rack (>= 3.1.3~),
-               ruby-rails (>= 2:7.2~),
-               ruby-rails-observers,
-               ruby-rails-propshaft (>= 1.1.0~),
-               ruby-rbpdf (>= 1.21.3~),
-               ruby-redcarpet (>= 3.6.0~),
-               ruby-rmagick (>= 2.14.0~),
-               ruby-roadie (>= 3.2.2~),
-               ruby-roadie-rails (>= 3.3.0~),
-               ruby-rotp,
-               ruby-rouge (>= 4.5~),
-               ruby-rqrcode,
-               ruby-sanitize (>= 6.0~),
-               ruby-zip (>= 2.3.0~),
-               ghostscript <!nocheck>,
-               puma <!nocheck>,
-               ruby-capybara (>= 3.39) <!nocheck>,
-               ruby-listen (>= 3.3~) <!nocheck>,
-               ruby-mocha (>= 2.0.1) <!nocheck>,
-               ruby-rails-dom-testing <!nocheck>,
-               ruby-selenium-webdriver (>= 4.4.0) <!nocheck>,
-               ruby-simplecov (>= 0.22.0~) <!nocheck>,
-               ruby-sqlite3 <!nocheck>
-Build-Depends-Indep: po-debconf
+Build-Depends-Indep: po-debconf,
+                     ruby-actionpack-xml-parser,
+                     ruby-addressable,
+                     ruby-bundler,
+                     ruby-coderay (>= 1.0.6~),
+                     ruby-commonmarker (>= 0.23.1~),
+                     ruby-csv (>= 3.2.2~),
+                     ruby-task-list (>= 2.3.2~),
+                     ruby-html-pipeline (>= 2.14.3~),
+                     ruby-i18n (>= 1.14.1~),
+                     ruby-jquery-rails (>= 4.0.5~),
+                     ruby-mail (>= 2.8.1~),
+                     ruby-marcel (>= 1.0.1+dfsg-2~),
+                     ruby-mini-magick (>= 5.3.0~),
+                     ruby-mini-mime (>= 1.1.0~),
+                     ruby-net-ldap (>= 0.19.0~),
+                     ruby-nokogiri (>= 1.18~),
+                     ruby-rack (>= 3.1.3~),
+                     ruby-rails (>= 2:7.2~),
+                     ruby-rails-observers,
+                     ruby-rails-propshaft (>= 1.1.0~),
+                     ruby-rbpdf (>= 1.21.3~),
+                     ruby-redcarpet (>= 3.6.0~),
+                     ruby-rmagick (>= 2.14.0~),
+                     ruby-roadie (>= 3.2.2~),
+                     ruby-roadie-rails (>= 3.3.0~),
+                     ruby-rotp,
+                     ruby-rouge (>= 4.5~),
+                     ruby-rqrcode,
+                     ruby-sanitize (>= 6.0~),
+                     ruby-zip (>= 2.3.0~),
+                     ghostscript <!nocheck>,
+                     puma <!nocheck>,
+                     ruby-capybara (>= 3.39) <!nocheck>,
+                     ruby-listen (>= 3.3~) <!nocheck>,
+                     ruby-mocha (>= 2.0.1) <!nocheck>,
+                     ruby-rails-dom-testing (>= 2.3.0) <!nocheck>,
+                     ruby-selenium-webdriver (>= 4.4.0) <!nocheck>,
+                     ruby-simplecov (>= 0.22.0~) <!nocheck>,
+                     ruby-sqlite3 <!nocheck>
 Vcs-Browser: https://salsa.debian.org/ruby-team/redmine
 Vcs-Git: https://salsa.debian.org/ruby-team/redmine.git
 Homepage: https://www.redmine.org
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 
 Package: redmine
@@ -70,7 +68,6 @@
          redmine-sqlite | redmine-mysql | redmine-pgsql,
          puma,
          ruby:any,
-         ruby-actionpack-action-caching (>= 1.2.2~),
          ruby-actionpack-xml-parser,
          ruby-addressable,
          ruby-bundler,
@@ -85,16 +82,14 @@
          ruby-listen (>= 3.3~),
          ruby-mail (>= 2.8.1~),
          ruby-marcel,
-         ruby-mini-magick (>= 5.2.0~),
+         ruby-mini-magick (>= 5.3.0~),
          ruby-mini-mime (>= 1.1.0~),
          ruby-mocha (>= 2.0.1~),
          ruby-net-ldap (>= 0.19.0~),
          ruby-nokogiri (>= 1.18~),
          ruby-rack (>= 3.1.3~),
-# This is probably not needed in the binary package.  It used to be used during testing, but was removed from the upstream list.
-#         ruby-rack-test (>= 0.7.0~),
          ruby-rails (>= 2:7.2~),
-         ruby-rails-dom-testing (>= 1.0.6-2~),
+         ruby-rails-dom-testing (>= 2.3.0),
          ruby-rails-observers,
          ruby-rails-propshaft (>= 1.1.0~),
          ruby-rbpdf (>= 1.21.3~),
