=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # We want to run the tests and they run fine,
 # except they fail very randomly. :(  TODO, test to see if this is still needed.
-export DH_RUBY_IGNORE_TESTS=all
+#export DH_RUBY_IGNORE_TESTS=all
 
 %:
 	dh $@ --with ruby
